=== debian/changelog ===
lv2-gtk-ui-bridge (0.1-1librazik1) bookworm; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-5.
    - depuis un paquet Kxstudio.
  * d/changelog :
    - suppression du numéro epoch.
  * d/p/1000-add_triceratops :
    - ajout de la rustine (avec dquilt).
  * d/rules :
    - suppression des spécificités de KXstudio.
  * d/control :
    - (re-)mise à jour de "Maintainer" et de "Uploaders" en conformité avec
      "debian-policy 5.6.2 and 5.6.3".
    - suppression des spécificités de KXstudio.
    - dépendances de construction :
      + liblilv-static -> liblilv-dev.
    - description :
      + (ré-)ajout d'une mention au projet LibraZiK.
  * d/copyright :
    - ajout de moi-même à la section copyright de l'empaquetage debian.

 -- Olivier Humbert <trebmuh@librazik.org>  Sat, 23 Aug 2025 16:29:45 +0200

lv2-gtk-ui-bridge (6:0.1-1kxstudio1) focal; urgency=medium

  * Initial package

 -- falkTX <falktx@falktx.com>  Sat, 11 May 2024 02:28:04 +0200
