=== debian/control ===
Source: lv2-gtk-ui-bridge
Section: sound
Priority: optional
Maintainer: Équipe LibraZiK <librazik@tuxfamily.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>,
 falkTX <falktx@falktx.com>
Build-Depends:
  debhelper-compat (= 13),
  libgtk2.0-dev,
  libgtk-3-dev,
  lv2-dev,
  libx11-dev,
  pkg-config,
  liblilv-dev
Standards-Version: 4.5.0
Homepage: https://github.com/falkTX/lv2-gtk-ui-bridge
Rules-Requires-Root: no

Package: lv2-gtk-ui-bridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: lv2-plugin
Description: LV2 Gtk2/3 UIs as LV2 X11 UIs
 lv2-gtk-ui-bridge is a special LV2 bundle that allows to use legacy LV2 Gtk2/3 UIs as LV2 X11 UIs.
 This increases the compatibility of such UIs to hosts that do not support the legacy UI types.
 .
 LibraZiK audio studio package 2025 ©
 .
 Imported from KXstudio repositories.
